%define pypi_name pydyf

Name:           python-pydyf
Version:        0.11.0
Release:        %mkrel 3
Summary:        Low-level PDF creator
# The test suite is released under the AGPL but we are not shipping any test
# code in the "binary" (noarch) RPM so we can just use the 3-clause BSD.
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://www.courtbouillon.org/pydyf
Source0:        %{pypi_source}
# remove some dependency/pytest options which are mostly useful for developers
# (e.g. style checks) but may cause unnecessary issues for distro-level testing
Patch0:         %{name}-no-developer-testing-options.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# used as "build-backend" in pyproject.toml but not detected by Fedora's
# macros to generate build requirements
BuildRequires:  python3dist(flit-core)
# test suite calls the "gs" binary to verify outputs, not detectable by
# Fedora's macros
BuildRequires:  ghostscript


%description
pydyf is a low-level PDF generator written in Python and based on PDF
specification 1.7.


%package -n python3-%{pypi_name}
Summary:        Low-level PDF creator
Group:          Development/Python

%description -n python3-%{pypi_name}
pydyf is a low-level PDF generator written in Python and based on PDF
specification 1.7.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pytest

%files -n  python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.11.0-3.mga10
+ Revision: 2238733
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.11.0-2.mga10
+ Revision: 2155569
- rebuild for python3.13

* Mon Jul 15 2024 daviddavid <daviddavid> 0.11.0-1.mga10
+ Revision: 2081577
- new version: 0.11.0

* Fri Jul 12 2024 daviddavid <daviddavid> 0.10.0-1.mga10
+ Revision: 2080828
- initial package python-pydyf

